org.apache.calcite.avatica.proto

## Class Common.AvaticaType.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>
      - - org.apache.calcite.avatica.proto.Common.AvaticaType.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.AvaticaTypeOrBuilder

Enclosing class:
  Common.AvaticaType

    public static final class Common.AvaticaType.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>
    implements Common.AvaticaTypeOrBuilder

     Base class for a column type

Protobuf type `AvaticaType`

### Field Summary

Fields
`private int` `bitField0_`
`private List<Common.ColumnMetaData>` `columns_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder>` `columnsBuilder_`
`private Common.AvaticaType` `component_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder>` `componentBuilder_`
`private int` `id_`
`private Object` `name_`
`private int` `rep_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.AvaticaType.Builder` `addAllColumns(Iterable<? extends Common.ColumnMetaData> values)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `addColumns(Common.ColumnMetaData.Builder builderForValue)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `addColumns(Common.ColumnMetaData value)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `addColumns(int index, Common.ColumnMetaData.Builder builderForValue)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `addColumns(int index, Common.ColumnMetaData value)` Only present when name = STRUCT
`Common.ColumnMetaData.Builder` `addColumnsBuilder()` Only present when name = STRUCT
`Common.ColumnMetaData.Builder` `addColumnsBuilder(int index)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.AvaticaType` `build()`
`Common.AvaticaType` `buildPartial()`
`Common.AvaticaType.Builder` `clear()`
`Common.AvaticaType.Builder` `clearColumns()` Only present when name = STRUCT
`Common.AvaticaType.Builder` `clearComponent()` Only present when name = ARRAY
`Common.AvaticaType.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.AvaticaType.Builder` `clearId()` `optional uint32 id = 1;`
`Common.AvaticaType.Builder` `clearName()` `optional string name = 2;`
`Common.AvaticaType.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.AvaticaType.Builder` `clearRep()` `optional .Rep rep = 3;`
`Common.AvaticaType.Builder` `clone()`
`private void` `ensureColumnsIsMutable()`
`Common.ColumnMetaData` `getColumns(int index)` Only present when name = STRUCT
`Common.ColumnMetaData.Builder` `getColumnsBuilder(int index)` Only present when name = STRUCT
`List<Common.ColumnMetaData.Builder>` `getColumnsBuilderList()` Only present when name = STRUCT
`int` `getColumnsCount()` Only present when name = STRUCT
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder>` `getColumnsFieldBuilder()`
`List<Common.ColumnMetaData>` `getColumnsList()` Only present when name = STRUCT
`Common.ColumnMetaDataOrBuilder` `getColumnsOrBuilder(int index)` Only present when name = STRUCT
`List<? extends Common.ColumnMetaDataOrBuilder>` `getColumnsOrBuilderList()` Only present when name = STRUCT
`Common.AvaticaType` `getComponent()` Only present when name = ARRAY
`Common.AvaticaType.Builder` `getComponentBuilder()` Only present when name = ARRAY
`private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder>` `getComponentFieldBuilder()` Only present when name = ARRAY
`Common.AvaticaTypeOrBuilder` `getComponentOrBuilder()` Only present when name = ARRAY
`Common.AvaticaType` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getId()` `optional uint32 id = 1;`
`String` `getName()` `optional string name = 2;`
`com.google.protobuf.ByteString` `getNameBytes()` `optional string name = 2;`
`Common.Rep` `getRep()` `optional .Rep rep = 3;`
`int` `getRepValue()` `optional .Rep rep = 3;`
`boolean` `hasComponent()` Only present when name = ARRAY
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.AvaticaType.Builder` `mergeComponent(Common.AvaticaType value)` Only present when name = ARRAY
`Common.AvaticaType.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.AvaticaType.Builder` `mergeFrom(Common.AvaticaType other)`
`Common.AvaticaType.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.AvaticaType.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.AvaticaType.Builder` `removeColumns(int index)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `setColumns(int index, Common.ColumnMetaData.Builder builderForValue)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `setColumns(int index, Common.ColumnMetaData value)` Only present when name = STRUCT
`Common.AvaticaType.Builder` `setComponent(Common.AvaticaType.Builder builderForValue)` Only present when name = ARRAY
`Common.AvaticaType.Builder` `setComponent(Common.AvaticaType value)` Only present when name = ARRAY
`Common.AvaticaType.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.AvaticaType.Builder` `setId(int value)` `optional uint32 id = 1;`
`Common.AvaticaType.Builder` `setName(String value)` `optional string name = 2;`
`Common.AvaticaType.Builder` `setNameBytes(com.google.protobuf.ByteString value)` `optional string name = 2;`
`Common.AvaticaType.Builder` `setRep(Common.Rep value)` `optional .Rep rep = 3;`
`Common.AvaticaType.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.AvaticaType.Builder` `setRepValue(int value)` `optional .Rep rep = 3;`
`Common.AvaticaType.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### id_

    private int id_

#### name_

    private Object name_

#### rep_

    private int rep_

#### columns_

    private List<Common.ColumnMetaData> columns_

#### columnsBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder> columnsBuilder_

#### component_

    private Common.AvaticaType component_

#### componentBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder> componentBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.AvaticaType.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### getDefaultInstanceForType

    public Common.AvaticaType getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.AvaticaType build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.AvaticaType buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.AvaticaType.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### setField

    public Common.AvaticaType.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### clearField

    public Common.AvaticaType.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### clearOneof

    public Common.AvaticaType.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### setRepeatedField

    public Common.AvaticaType.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       int index,
                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### addRepeatedField

    public Common.AvaticaType.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### mergeFrom

    public Common.AvaticaType.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.AvaticaType.Builder>`

#### mergeFrom

    public Common.AvaticaType.Builder mergeFrom(Common.AvaticaType other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### mergeFrom

    public Common.AvaticaType.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.AvaticaType.Builder>`
Throws:
  `IOException`

#### getId

    public int getId()

`optional uint32 id = 1;`

Specified by:
  `getId` in interface `Common.AvaticaTypeOrBuilder`

#### setId

    public Common.AvaticaType.Builder setId(int value)

`optional uint32 id = 1;`

#### clearId

    public Common.AvaticaType.Builder clearId()

`optional uint32 id = 1;`

#### getName

    public String getName()

`optional string name = 2;`

Specified by:
  `getName` in interface `Common.AvaticaTypeOrBuilder`

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`optional string name = 2;`

Specified by:
  `getNameBytes` in interface `Common.AvaticaTypeOrBuilder`

#### setName

    public Common.AvaticaType.Builder setName(String value)

`optional string name = 2;`

#### clearName

    public Common.AvaticaType.Builder clearName()

`optional string name = 2;`

#### setNameBytes

    public Common.AvaticaType.Builder setNameBytes(com.google.protobuf.ByteString value)

`optional string name = 2;`

#### getRepValue

    public int getRepValue()

`optional .Rep rep = 3;`

Specified by:
  `getRepValue` in interface `Common.AvaticaTypeOrBuilder`

#### setRepValue

    public Common.AvaticaType.Builder setRepValue(int value)

`optional .Rep rep = 3;`

#### getRep

    public Common.Rep getRep()

`optional .Rep rep = 3;`

Specified by:
  `getRep` in interface `Common.AvaticaTypeOrBuilder`

#### setRep

    public Common.AvaticaType.Builder setRep(Common.Rep value)

`optional .Rep rep = 3;`

#### clearRep

    public Common.AvaticaType.Builder clearRep()

`optional .Rep rep = 3;`

#### ensureColumnsIsMutable

    private void ensureColumnsIsMutable()

#### getColumnsList

    public List<Common.ColumnMetaData> getColumnsList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsList` in interface `Common.AvaticaTypeOrBuilder`

#### getColumnsCount

    public int getColumnsCount()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsCount` in interface `Common.AvaticaTypeOrBuilder`

#### getColumns

    public Common.ColumnMetaData getColumns(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumns` in interface `Common.AvaticaTypeOrBuilder`

#### setColumns

    public Common.AvaticaType.Builder setColumns(int index,
                                                 Common.ColumnMetaData value)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### setColumns

    public Common.AvaticaType.Builder setColumns(int index,
                                                 Common.ColumnMetaData.Builder builderForValue)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### addColumns

    public Common.AvaticaType.Builder addColumns(Common.ColumnMetaData value)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### addColumns

    public Common.AvaticaType.Builder addColumns(int index,
                                                 Common.ColumnMetaData value)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### addColumns

    public Common.AvaticaType.Builder addColumns(Common.ColumnMetaData.Builder builderForValue)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### addColumns

    public Common.AvaticaType.Builder addColumns(int index,
                                                 Common.ColumnMetaData.Builder builderForValue)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### addAllColumns

    public Common.AvaticaType.Builder addAllColumns(Iterable<? extends Common.ColumnMetaData> values)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### clearColumns

    public Common.AvaticaType.Builder clearColumns()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### removeColumns

    public Common.AvaticaType.Builder removeColumns(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsBuilder

    public Common.ColumnMetaData.Builder getColumnsBuilder(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsOrBuilder

    public Common.ColumnMetaDataOrBuilder getColumnsOrBuilder(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsOrBuilder` in interface `Common.AvaticaTypeOrBuilder`

#### getColumnsOrBuilderList

    public List<? extends Common.ColumnMetaDataOrBuilder> getColumnsOrBuilderList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsOrBuilderList` in interface `Common.AvaticaTypeOrBuilder`

#### addColumnsBuilder

    public Common.ColumnMetaData.Builder addColumnsBuilder()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### addColumnsBuilder

    public Common.ColumnMetaData.Builder addColumnsBuilder(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsBuilderList

    public List<Common.ColumnMetaData.Builder> getColumnsBuilderList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

#### getColumnsFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.ColumnMetaData,Common.ColumnMetaData.Builder,Common.ColumnMetaDataOrBuilder> getColumnsFieldBuilder()

#### hasComponent

    public boolean hasComponent()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

Specified by:
  `hasComponent` in interface `Common.AvaticaTypeOrBuilder`

#### getComponent

    public Common.AvaticaType getComponent()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

Specified by:
  `getComponent` in interface `Common.AvaticaTypeOrBuilder`

#### setComponent

    public Common.AvaticaType.Builder setComponent(Common.AvaticaType value)

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### setComponent

    public Common.AvaticaType.Builder setComponent(Common.AvaticaType.Builder builderForValue)

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### mergeComponent

    public Common.AvaticaType.Builder mergeComponent(Common.AvaticaType value)

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### clearComponent

    public Common.AvaticaType.Builder clearComponent()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### getComponentBuilder

    public Common.AvaticaType.Builder getComponentBuilder()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### getComponentOrBuilder

    public Common.AvaticaTypeOrBuilder getComponentOrBuilder()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

Specified by:
  `getComponentOrBuilder` in interface `Common.AvaticaTypeOrBuilder`

#### getComponentFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.AvaticaType,Common.AvaticaType.Builder,Common.AvaticaTypeOrBuilder> getComponentFieldBuilder()

     Only present when name = ARRAY

`optional .AvaticaType component = 5;`

#### setUnknownFields

    public final Common.AvaticaType.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`

#### mergeUnknownFields

    public final Common.AvaticaType.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.AvaticaType.Builder>`